*, *:before, *:after
    box-sizing: border-box

* 
    margin: 0

html
    font-size: 16px
    max-width: 100vw
    
body
    background-color: var(--body-bg)
    color: var(--text-color)
    font-family: var(--font-family-default)
    font-size: 1rem
    line-height: 1.4

section, article, aside, header, footer, nav, main, figure, figcaption, code, picture
    display: block

h1, h2, h3, h4, h5, h6, p, ul, ol, dl
    margin: 0 0 1rem

img
    max-width: 100%
    height: auto


// ----------------------------------------------------
// TYPOGRAPHY

em, i
    font-style: italic
strong, b
    font-weight: bold
strong em, em strong, b i, i b
    font-style: italic
    font-weight: bold
u
    text-decoration: underline

h1, h2, h3, h4, h5, h6
    font-weight: bold

h1
    font-size: 2rem
h2
    font-size: 1.8rem
h3
    font-size: 1.6rem
h3
    font-size: 1.4rem
h4
    font-size: 1.2rem
h5
    font-size: 1rem
h6
    font-size: 0.8rem

small
    font-size: 0.8rem

// ----------------------------------------------------
// LINKS & BUTTONS

a:focus, input:focus, textarea:focus, button:focus, .slick-slide:focus
    outline: none

a, button, .btn
    transition: all 0.3s

a
    -webkit-tap-highlight-color: transparent //ios fix
    color: var(--accent-color)
    text-decoration: underline
    &:hover
        color: var(--text-color)

input[type="submit"], button, .btn
    -webkit-appearance: none
    display: inline-flex
    align-items: center
    justify-content: center
    cursor: pointer
    font-size: 0.8rem
    font-weight: bold
    line-height: 1
    text-align: center
    border-radius: 5px
    border:  none
    background: var(--gray)
    color: white
    padding: 10px 20px
    height: 34px
    text-transform: uppercase
    text-decoration: none

    &.btn-primary
        background: var(--accent-color)
        color: white
    &.btn-alert
        background: var(--alert-color)
        color: white

    &:hover
        opacity: 0.75

    .material-symbols
        display: inline-block
        font-size: 1.3em
        margin-right: 5px

.signin-btn
    @extend .btn
    padding: 0
    border: none
    border-radius: 0
    background: transparent


// ----------------------------------------------------
// FORMS

input
    font-family: var(--font-family-default)
    font-size: 1rem
    box-shadow: none
    display: flex
    align-items: center
    background-image: none
    &:focus
        outline: none
    +input-placeholder
        color: var(--gray)